Bug 699039

Summary: Spectrum service not starting
Product: [Fedora] Fedora Reporter: Grosswiler Roger <roger>
Component: spectrumAssignee: Matěj Cepl <mcepl>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 15CC: jkaluza, mcepl, mcepl, mschmidt
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: spectrum-1.4.8-1.fc15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-07-01 19:02:11 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
ejabberd.cfg
none
Ejabberdctl.cfg
none
Logfiles (messages.log and msn-transport-log) - w/segfault
none
Facebook config
none
ICQ Config
none
MSN Config none

Description Grosswiler Roger 2011-04-22 18:44:35 UTC
Description of problem:
Starting aborted.

Version-Release number of selected component (if applicable):
spectrum-1.4.7-4.fc15.i686


How reproducible:


Steps to Reproduce:
1.service spectrum start
2.
3.
  
Actual results:
[root@tortola spectrum]# spectrumctl --no-daemon start

(process:5412): GLib-CRITICAL **: g_path_get_dirname: assertion `file_name != NULL' failed
Start msn.im.domain.net... Failed (Child exited with unknown exit status)

(process:5416): GLib-CRITICAL **: g_path_get_dirname: assertion `file_name != NULL' failed
Start icq.im.domain.net... Failed (Child exited with unknown exit status)

(process:5419): GLib-CRITICAL **: g_path_get_dirname: assertion `file_name != NULL' failed
Start xmpp.im.domain.net... Failed (Child exited with unknown exit status)


Expected results:

3 working transports
Additional info:

Comment 1 Matěj Cepl 2011-04-24 13:32:20 UTC
Could I get (sanitized, if necessary) version of your spectrum and Jabber-server configuration files. Could I get also log files for at least one instance of spectrum and for the Jabber-server?

Thank you

Comment 2 Grosswiler Roger 2011-04-25 13:39:00 UTC
Created attachment 494673 [details]
ejabberd.cfg

Comment 3 Grosswiler Roger 2011-04-25 13:39:26 UTC
Created attachment 494674 [details]
Ejabberdctl.cfg

Comment 4 Grosswiler Roger 2011-04-25 13:40:15 UTC
Created attachment 494675 [details]
Logfiles (messages.log and msn-transport-log) - w/segfault

Comment 5 Grosswiler Roger 2011-04-25 13:40:55 UTC
Enclosed:
- Config ejabberd, ejabberdctl
- Config for MSN-Service
- File with Logfiles. See specially section messages-log, which shows segfaulting libnss-files.

hth
roger

Comment 6 Matěj Cepl 2011-04-26 08:33:44 UTC
> Apr 25 15:32:18 tortola abrt[6190]: saved core dump of pid 6189
> (/usr/sbin/spectrum) to /var/spool/abrt/ccpp-2011-04-25-15:32:18-6189.new
> /coredump (2236416 bytes)

Would you be able to persuade ABRT (yes, Virgnia, there is abrt-cli, if you don't want to have Xorg installed) to file a but with complete backtrace, please?

Thank you.

Comment 7 Grosswiler Roger 2011-04-27 19:40:19 UTC
Hey Matej,

Here we are:

# Please check this report. Lines starting with '#' will be ignored.
# Lines starting with '%----' separate fields, please do not delete them.

%----comment
# Beschreiben Sie nachfolgend die Umstände dieses Absturzes

%----backtrace
# Backtrace
# Stellen Sie sicher, dass keine sensiblen Daten (Passwörter, usw.) enthalten sind
[New LWP 1035]
warning: .dynamic section for "/usr/lib/libPocoData.so.11" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "/usr/lib/libPocoDataSQLite.so.11" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "/usr/lib/libPocoDataMySQL.so.11" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "/usr/lib/libMagick++.so.4" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "/usr/lib/libstdc++.so.6" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "/usr/lib/libXt.so.6" is not at the expected address (wrong library or version mismatch?)
[Thread debugging using libthread_db enabled]
Core was generated by `spectrum --check-db-version /etc/spectrum/msn.cfg'.
Program terminated with signal 11, Segmentation fault.
\#0  0x00000003 in ?? ()

Thread 1 (Thread 0xb77af7b0 (LWP 1035)):
\#0  0x00000003 in ?? ()
No symbol table info available.
Backtrace stopped: Not enough registers or memory available to unwind further
From        To          Syms Read   Shared Object Library
0x00a9f870  0x00b5e06c  Yes (*)     /usr/lib/libgloox.so.8
0x00d58570  0x00e18b3c  Yes (*)     /usr/lib/libpurple.so.0
0x00122740  0x001c05cc  Yes (*)     /lib/libglib-2.0.so.0
0x00a4cf30  0x00a4e70c  Yes (*)     /lib/libgthread-2.0.so.0
0x005f1ce0  0x0061a61c  Yes (*)     /usr/lib/libPocoData.so.11
0x003ae940  0x0044f97c  Yes (*)     /usr/lib/libPocoFoundation.so.11
0x0023c950  0x0024e2ac  Yes (*)     /usr/lib/libPocoDataSQLite.so.11
0x00cf8f60  0x00d039fc  Yes (*)     /usr/lib/libPocoDataMySQL.so.11
0x008e2e20  0x008fbccc  Yes (*)     /usr/lib/libPocoDataODBC.so.11
0x002867a0  0x002a9b5c  Yes (*)     /usr/lib/libMagick++.so.4
0x00671be0  0x006e546b  Yes (*)     /usr/lib/libstdc++.so.6
0x002c34b0  0x002debbc  Yes (*)     /lib/libm.so.6
0x002ecf30  0x00303c5c  Yes (*)     /lib/libgcc_s.so.1
0x00e80ce0  0x00f9e324  Yes (*)     /lib/libc.so.6
0x00c51630  0x00c5d57c  Yes (*)     /lib/libpthread.so.0
0x0030b620  0x0031b97c  Yes (*)     /lib/libresolv.so.2
0x0049bd30  0x004a07ac  Yes (*)     /lib/libidn.so.11
0x0051df20  0x005998ec  Yes (*)     /usr/lib/libgnutls.so.26
0x00325670  0x00332aac  Yes (*)     /lib/libz.so.1
0x004d3510  0x004e746c  Yes (*)     /usr/lib/libdbus-glib-1.so.2
0x0071d6a0  0x0074ccfc  Yes (*)     /lib/libdbus-1.so.3
0x0033e060  0x0034529c  Yes (*)     /usr/lib/libgstfarsight-0.10.so.0
0x007685c0  0x0079791c  Yes (*)     /usr/lib/libgstbase-0.10.so.0
0x0087a8c0  0x008814fc  Yes (*)     /usr/lib/libgstinterfaces-0.10.so.0
0x0091d580  0x009a983c  Yes (*)     /usr/lib/libgstreamer-0.10.so.0
0x007e9fb0  0x0081d70c  Yes (*)     /lib/libgobject-2.0.so.0
0x0034bbd0  0x0034cd4c  Yes (*)     /lib/libgmodule-2.0.so.0
0x01013c80  0x010febec  Yes (*)     /usr/lib/libxml2.so.2
0x00ca78c0  0x00cab6fc  Yes (*)     /lib/librt.so.1
0x004f40f0  0x005027bc  Yes (*)     /lib/libnsl.so.1
0x005baa60  0x005bba8c  Yes (*)     /lib/libdl.so.2
0x00832050  0x008594cc  Yes (*)     /lib/libpcre.so.0
0x00b8d410  0x00c0772c  Yes (*)     /usr/lib/libsqlite3.so.0
0x05486c80  0x054bde6c  Yes (*)     /usr/lib/mysql/libmysqlclient.so.18
0x009ea770  0x00a25b8c  Yes (*)     /usr/lib/libiodbc.so.2
0x005c0740  0x005ce9ac  Yes (*)     /usr/lib/libiodbcinst.so.2
0x043a2780  0x0448d46c  Yes (*)     /usr/lib/libMagickWand.so.4
0x05dcb170  0x05f8edfc  Yes (*)     /usr/lib/libMagickCore.so.4
0x0088c540  0x008b2e3c  Yes (*)     /usr/lib/liblcms.so.1
0x08fe9da0  0x0901defc  Yes (*)     /usr/lib/libtiff.so.3
0x03962480  0x039cd2cc  Yes (*)     /usr/lib/libfreetype.so.6
0x0696f750  0x069a475c  Yes (*)     /usr/lib/libjpeg.so.62
0x00c6c010  0x00c8766c  Yes (*)     /usr/lib/libfontconfig.so.1
0x007a96b0  0x007b400c  Yes (*)     /usr/lib/libXext.so.6
0x08bf0960  0x08c2daac  Yes (*)     /usr/lib/libXt.so.6
0x008c2000  0x008ce35c  Yes (*)     /lib/libbz2.so.1
0x007b9a20  0x007be52c  Yes (*)     /usr/lib/libltdl.so.7
0x0086e410  0x00872d5c  Yes (*)     /usr/lib/libSM.so.6
0x00c264e0  0x00c353dc  Yes (*)     /usr/lib/libICE.so.6
0x0115a310  0x011eafbc  Yes (*)     /usr/lib/libX11.so.6
0x00a3bae0  0x00a43d1c  Yes (*)     /usr/lib/libgomp.so.1
0x007c2850  0x007da7ff  Yes (*)     /lib/ld-linux.so.2
0x00a52200  0x00a5e23c  Yes (*)     /usr/lib/libtasn1.so.3
0x074e6280  0x0753961c  Yes (*)     /lib/libgcrypt.so.11
0x0034f630  0x0034fc3c  Yes (*)     /lib/libgpg-error.so.0
0x08501eb0  0x0853978c  Yes (*)     /usr/lib/libssl.so.10
0x0948ce40  0x09572f7c  Yes (*)     /lib/libcrypto.so.10
0x00cb1040  0x00ccac7c  Yes (*)     /lib/libexpat.so.1
0x00a62f30  0x00a64b5c  Yes (*)     /lib/libuuid.so.1
0x00d0ee90  0x00d1e7bc  Yes (*)     /usr/lib/libxcb.so.1
0x090ed540  0x0911cc7c  Yes (*)     /lib/libgssapi_krb5.so.2
0x03352190  0x033d0a0c  Yes (*)     /lib/libkrb5.so.3
0x008d1e30  0x008d2b7c  Yes (*)     /lib/libcom_err.so.2
0x07323bc0  0x0733e64c  Yes (*)     /lib/libk5crypto.so.3
0x0050ca00  0x0050d88c  Yes (*)     /usr/lib/libXau.so.6
0x00c3dd10  0x00c4309c  Yes (*)     /lib/libkrb5support.so.0
0x00a48860  0x00a48fdc  Yes (*)     /lib/libkeyutils.so.1
0x03f9d490  0x03faed9c  Yes (*)     /lib/libselinux.so.1
0x00cd8a40  0x00cdfd8c  Yes (*)     /lib/libnss_files.so.2
(*): Shared library is missing debugging information.
$1 = 0x0
No symbol table is loaded.  Use the "file" command.
eax            0xffffffff	-1
ecx            0x1	1
edx            0x0	0
ebx            0x7e1fc4	8265668
esp            0xbfd05f34	0xbfd05f34
ebp            0x0	0x0
esi            0xbfd05f44	-1076863164
edi            0x8072d30	134688048
eip            0x3	0x3
eflags         0x10246	[ PF ZF IF RF ]
cs             0x73	115
ss             0x7b	123
ds             0x7b	123
es             0x7b	123
fs             0x0	0
gs             0x33	51
No function contains program counter for selected frame.

%----global_uuid
# DUPHASH
# Dieses Feld ist schreibgeschützt
8fb279d060ab63b40901bce70acbf5e95ea78a57
%----architecture
# Architektur
# Dieses Feld ist schreibgeschützt
i686
%----cmdline
# Kommandozeile
# Dieses Feld ist schreibgeschützt
spectrum --check-db-version /etc/spectrum/msn.cfg
%----component
# Komponente
# Dieses Feld ist schreibgeschützt
spectrum
%----coredump
# Core-Dump
# Dieses Feld ist schreibgeschützt
/var/spool/abrt/ccpp-1303477325-1035/coredump
%----executable
# Executable (ausführbare Datei)
# Dieses Feld ist schreibgeschützt
/usr/sbin/spectrum
%----kernel
# Kernel-Version
# Dieses Feld ist schreibgeschützt
2.6.38.2-9.fc15.i686.PAE
%----package
# Paket
# Dieses Feld ist schreibgeschützt
spectrum-1.4.7-4.fc15
%----reason
# Grund des Absturzes
# Dieses Feld ist schreibgeschützt
Process /usr/sbin/spectrum was killed by signal 11 (SIGSEGV)

Comment 8 Grosswiler Roger 2011-05-04 18:05:57 UTC
Whats the status here?

Comment 9 Matěj Cepl 2011-05-05 11:32:30 UTC
(In reply to comment #8)
> Whats the status here?

Waiting on upstream to help here.

Comment 10 Jan Kaluža 2011-05-05 11:39:59 UTC
Paste your spectrum configs from /etc/spectrum (remove passwords before pasting), please.

Comment 11 Grosswiler Roger 2011-05-05 12:04:06 UTC
Facebook, ICQ and MSN as enclosure.

Comment 12 Grosswiler Roger 2011-05-05 12:04:53 UTC
Created attachment 497049 [details]
Facebook config

Comment 13 Grosswiler Roger 2011-05-05 12:05:21 UTC
Created attachment 497050 [details]
ICQ Config

Comment 14 Grosswiler Roger 2011-05-05 12:05:50 UTC
Created attachment 497051 [details]
MSN Config

Comment 15 Jan Kaluža 2011-05-09 07:35:29 UTC
Hm, interesting. Could you please try to get backtrace like described at http://spectrum.im/projects/spectrum/wiki/Getting_a_Backtrace ? And please be sure you have spectrum-debuginfo package installed.

Comment 16 Grosswiler Roger 2011-05-12 14:47:45 UTC
can't find the according debuginfo-package?

Comment 17 Michal Schmidt 2011-05-12 15:13:44 UTC
yum install --enablerepo=\*-debuginfo spectrum-debuginfo
OR
debuginfo-install spectrum

Comment 18 Grosswiler Roger 2011-05-12 16:35:57 UTC
installed, but no core dump. all get is this result:

[root@tortola ~]# spectrumctl --debug -c /etc/spectrum/msn.cfg start

(process:8869): GLib-CRITICAL **: g_path_get_dirname: assertion `file_name != NULL' failed
Start msn.im.gwch.net... Failed (Child exited with unknown exit status)


Information about packages:
[root@tortola ~]# yum list spectrum spectrum-debuginfo
Geladene Plugins: langpacks, presto, refresh-packagekit
Installierte Pakete
spectrum.i686                          1.4.7-4.fc15         @anaconda-InstallationRepo-201104212344.i686
spectrum-debuginfo.i686                1.4.7-4.fc15                installed                                   


No core-dumps in /var/lib/spectrum/$jid/userdir. Those information are valid for all 3 mentionned transports.

Comment 19 Grosswiler Roger 2011-05-13 12:12:13 UTC
Installed ejabberd & spectrum on a good working box. ejabberd starting without problem, spectrum is having the same issues as on the original box. 


even tough, gdb cannot make bt full, it says there are not enough registers to handle :(

Comment 20 Michal Schmidt 2011-05-13 15:28:45 UTC
There must be something very wrong with the 1.4.7-4.fc15 build. gdb shows completely erratic behaviour, like the process is executing the function create_dir without going to ConfigFile::getConfiguration() first which should be impossible.

A local mockbuild does not behave in this weird way, so I suggest a rebuild and hope it fixes it. Blame it on February's gcc.

Comment 21 Matěj Cepl 2011-05-14 09:43:13 UTC
I've made a scratch build of the same src.rpm at http://koji.fedoraproject.org/koji/taskinfo?taskID=3071881. Just curious if it is really gcc which makes a problem.

Comment 22 Grosswiler Roger 2011-05-14 18:52:55 UTC
i downloaded the scratch-build from spectrum and spectrum-debuginfo. 

i can confirm, that i shouldnt have installed the debuginfo-packages, as spectrum works. all transports are working again.

please push officially to test.

Thanks all for your help!!

Roger

Comment 23 Fedora Update System 2011-05-14 19:25:13 UTC
spectrum-1.4.7-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/spectrum-1.4.7-5.fc15

Comment 24 Fedora Update System 2011-05-17 05:38:24 UTC
Package spectrum-1.4.7-5.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing spectrum-1.4.7-5.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/spectrum-1.4.7-5.fc15
then log in and leave karma (feedback).

Comment 25 Fedora Update System 2011-06-11 19:08:50 UTC
spectrum-1.4.8-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/spectrum-1.4.8-1.fc15

Comment 26 Fedora Update System 2011-07-01 19:02:02 UTC
spectrum-1.4.8-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.